array.h File Reference

Statically sized array of elements that accommodates all CUTLASS-supported numeric types and is safe to use in a union. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/numeric_types.h"`
`#include "cutlass/array_subbyte.h"`
Include dependency graph for array.h:

Go to the source code of this file.

## Classes

struct | cutlass::sizeof_bits< Array< T, N, RegisterSized > >
| Statically sized array for any data type. More...
class | cutlass::Array< T, N, true >
| Statically sized array for any data type. More...
class | cutlass::Array< T, N, true >::iterator
| Bidirectional iterator over elements. More...
class | cutlass::Array< T, N, true >::const_iterator
| Bidirectional constant iterator over elements. More...
class | cutlass::Array< T, N, true >::reverse_iterator
| Bidirectional iterator over elements. More...
class | cutlass::Array< T, N, true >::const_reverse_iterator
| Bidirectional constant iterator over elements. More...
class | cutlass::AlignedArray< T, N, Alignment >
| Aligned array type. More...

## Namespaces

| cutlass

## Functions

CUTLASS_HOST_DEVICE constexpr bool | cutlass::ispow2 (unsigned x)
| Returns true if the argument is a power of 2. More...
CUTLASS_HOST_DEVICE constexpr unsigned | cutlass::floor_pow_2 (unsigned x)
| Returns the largest power of two not greater than the argument. More...